The Spring Framework

## org.springframework.dao
Class TypeMismatchDataAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.dao.TypeMismatchDataAccessException

All Implemented Interfaces:
  Serializable

    public class TypeMismatchDataAccessException

extends InvalidDataAccessResourceUsageException

Exception thrown on mismatch between Java type and database type: for example on an attempt to set an object of the wrong type in an RDBMS column.

Author:
  Rod Johnson
See Also:
  Serialized Form

Constructor Summary
`TypeMismatchDataAccessException(String msg)` Constructor for TypeMismatchDataAccessException.
`TypeMismatchDataAccessException(String msg, Throwable cause)` Constructor for TypeMismatchDataAccessException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeMismatchDataAccessException

    public TypeMismatchDataAccessException(String msg)

  Constructor for TypeMismatchDataAccessException.

  Parameters:
    `msg` - the detail message

### TypeMismatchDataAccessException

    public TypeMismatchDataAccessException(String msg,
                                           Throwable cause)

  Constructor for TypeMismatchDataAccessException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause from the data access API in use

The Spring Framework

Copyright © 2002-2008 The Spring Framework.